View Issue Details

IDProjectCategoryView StatusLast Update
0003498SOGoWeb Mailpublic2016-02-04 11:48
Reporterslainsavage Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.0 
Fixed in Version3.0.1 
Summary0003498: E-Mail body and date information does not display
Description

When trying to view the email I get the following error message in the chromium console.

TypeError: Cannot set property 'msgclass' of undefined
at d (https://private.mailserver.com/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1454515322:1:14950)
at a.$content (https://private.mailserver.com/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1454515322:1:16466)
at fn (eval at <anonymous> (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:1:0), <anonymous>:4:297)
at Object.<anonymous> (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:116:391)
at r.$digest (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:131:156)
at r.$apply (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:134:236)
at https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:147:116
at e (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:43:306)
at https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:46:180

angular.js:12722 TypeError: Cannot set property 'msgclass' of undefined
at d (https://private.mailserver.com/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1454515322:1:14950)
at a.$content (https://private.mailserver.com/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1454515322:1:16466)
at fn (eval at <anonymous> (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:1:0), <anonymous>:4:297)
at Object.<anonymous> (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:116:391)
at r.$digest (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:131:156)
at processQueue (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular-material.js:1300:32)
at https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:147:38
at e (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:43:306)
at https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:46:180

angular.js:12722 TypeError: Cannot set property 'msgclass' of undefined
at d (https://private.mailserver.com/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1454515322:1:14950)
at a.$content (https://private.mailserver.com/SOGo.woa/WebServerResources/js/Mailer.services.js?lm=1454515322:1:16466)
at fn (eval at <anonymous> (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:1:0), <anonymous>:4:297)
at Object.<anonymous> (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:116:391)
at r.$digest (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:131:156)
at r.$apply (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:134:236)
at https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:147:116
at e (https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:43:306)
at https://private.mailserver.com/SOGo.woa/WebServerResources/js/vendor/angular.min.js:46:180

TagsNo tags attached.

Activities

slainsavage

slainsavage

2016-02-04 10:50

reporter  

bogusmail (9,241 bytes)   
Return-Path: <info@takealot.com>
Delivered-To: private@webmail.com
Received: from private.mailserver.com
	by private.mailserver.com (Dovecot) with LMTP id w8HZH1NNk1ZAcwAAdHgr7w
	for <private@webmail.com>; Mon, 11 Jan 2016 08:36:03 +0200
Received: from smtp.takealot.com (smtp.takealot.com [196.34.14.130])
	by private.mailserver.com (Postfix) with ESMTP id 2BBD91A0014
	for <private@webmail.com>; Mon, 11 Jan 2016 08:36:03 +0200 (SAST)
DMARC-Filter: OpenDMARC Filter v1.3.1 private.mailserver.com 2BBD91A0014
Authentication-Results: private.mailserver.com; dmarc=none header.from=takealot.com
Received: from tal-daemons01.cpt.prod.takealot.com (unknown [10.2.17.251])
	by smtp.takealot.com (Postfix) with ESMTP id CA4C548E0B;
	Mon, 11 Jan 2016 08:36:01 +0200 (SAST)
Content-Type: text/html; charset="iso-8859-1"
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Subject: takealot - Rate & Review Your Products!
To: private@webmail.com
From: TAKEALOT <info@takealot.com>

<div style=3D"width:710px; margin:0 auto;">

<table width=3D"710" cellspacing=3D"0" cellpadding=3D"0">
<tr>
<td><table width=3D"710" cellspacing=3D"0" cellpadding=3D"0">
<tr>
<td width=3D"5"></td>
<td width=3D"350">
<a href=3D"http://www.takealot.com/">
<img src=3D"http://ads.takealot.com/www/images/b80c4c4295d3efa3041532a348bd=
3f22.png" alt=3D"TAKEALOT" border=3D"0" />
</a>
</td>
<td width=3D"350" align=3D"right" valign=3D"bottom">
<span style=3D"font-family:Arial,Verdana,Helvetica,sans-serif;font-size:25p=
x;font-weight:normal;color:rgb(100,100,100)">
Rate &amp; Review Your Products!
</span>
</td>
<td width=3D"5"></td>
</tr>
</table>
<td>
</tr>
<tr>
<td><table width=3D"710" cellpadding=3D"0" cellspacing=3D"0">
<tr>
<td width=3D"5"></td>
<td width=3D"350" height=3D"50" valign=3D"bottom">
<span style=3D"font-size:14px;font-family:Arial,Verdana,Helvetica,sans-seri=
f;color:rgb(80,80,80)">
<strong>Order Number:</strong> <a href=3D"https://secure.takealot.com/accou=
nt/view_order?id=3D6279019" class=3D"font-family:Arial,Verdana,Helvetica,sa=
ns-serif;color:#15C">6279019</a>
</span>
</td>
<td width=3D"350" height=3D"50" valign=3D"bottom" align=3D"right">
<span style=3D"font-size:14px;font-family:Arial,Verdana,Helvetica,sans-seri=
f;color:rgb(80,80,80)">
Ordered on 2016-01-03 16:50:18
</span>
</td>
<td width=3D"5"></td>
</tr>
</table>
</td>
</tr>
<tr>
<td height=3D"35"></td>
</tr>
<tr>
<td height=3D"35" style=3D"border-top:1px solid #ccc"></td>
</tr>

<tr>
<td>
<table width=3D"710" cellspacing=3D"0" cellpadding=3D"0">
<tr>
<td width=3D"5"></td>
<td width=3D"705">
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%;">
Hi Slain <br />
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%;">Thanks for your recent order, we thi=
nk you made a mighty fine choice indeed!</p>
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%;">Don't forget that you can add your t=
wo cents worth and review the product on our site.</p>
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%;">Good or bad, we know that other cust=
omers just like you would love to hear what you think of it. And let's face=
 it - word of mouth is all the rage these days!</p>
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%; line-height: 35px; padding-left: 5px;=
 background-color: #EDEDED;"><strong>Review and rate your item here:</stron=
g></p>
<table border=3D"0" cellpadding=3D"0" cellspacing=3D"0" width=3D"100%">
<colgroup>
<col width=3D"60px">
<col width=3D"545px">
<col width=3D"100px">
</colgroup>
<tbody>





<tr>
<td>
<a href=3D"https://secure.takealot.com/product-rating?id=3DPLID34168380&" s=
tyle=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;color=
:rgb(35,35,35);line-height: 150%;">
<img src=3D"http://takealot.s3.amazonaws.com/covers/35260921/54c74fcb638d3.=
jpg?1422341038" alt=3D"Gigabyte NVIDIA GTX 960 G1 GAMING Edition 2GB Graphi=
cs Card " style=3D"width:50px;" />
</a>
</td>
<td>
<a href=3D"https://secure.takealot.com/product-rating?id=3DPLID34168380&" s=
tyle=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;color=
:rgb(35,35,35);line-height: 150%;">
<strong style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-se=
rif;color:rgb(35,35,35);line-height: 150%;"> Gigabyte NVIDIA GTX 960 G1 GAM=
ING Edition 2GB Graphics Card </strong>
</a>
</td>
<td>
<a href=3D"https://secure.takealot.com/product-rating?id=3DPLID34168380&" s=
tyle=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;color=
:rgb(35,35,35);line-height: 150%;">
<img src=3D"http://static.takealot.com/images/Review-Now-Button.jpg" alt=3D=
"Review>>" border=3D"0" />
</a>
</td>
</tr>


</tbody>
</table>
<br />
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%;">Thanks for taking the time to share =
your thoughts!</p>
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%;"><span style=3D"font-size: 23px;font-=
weight: bold;">takealot.<z>com</z></span>
<br />
<i>Great Stuff @ Great Prices</i></p>
<br />
</p>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td><table width=3D"710" cellspacing=3D"0" cellpadding=3D"0">
<tr>
<td width=3D"5"></td>
<td width=3D"35" valign=3D"top">
<img src=3D"http://ads.takealot.com/www/images/9789614a828df5dfaab484287d67=
47e2.gif" alt=3D"" />
</td>
<td width=3D"10"></td>
<td valign=3D"top">
<p style=3D"font-size:13px;font-weight:normal;font-family:Arial,Verdana,Hel=
vetica,sans-serif;color:rgb(98,98,98)">
<strong style=3D"font-size:13px;font-weight:bold;font-family:Arial,Verdana,=
Helvetica,sans-serif;color:rgb(98,98,98)">Get in touch</strong><br />
<br />
<a href=3D"mailto:info@takealot.com" style=3D"font-family:Arial,Verdana,Hel=
vetica,sans-serif;color:#15C">info@takealot.com</a>
<br />087 820 5058 or 086 122 2989<br />
<span style=3D" font-size: 10px; font-weight: bold; font-family: Arial,Verd=
ana,Helvetica,sans-serif; text-align: right; color: rgb(98, 98, 98); line-h=
eight: 150%; padding-left: 0pt;">(Weekdays 8.30am-5pm)<br />(Weekends 8am-1=
2pm)</span>
</p>
</td>
<td width=3D"10" style=3D"border-right:1px solid #ddd"></td>
<td width=3D"10"></td>
<td width=3D"35" valign=3D"top">
<img src=3D"http://ads.takealot.com/www/images/1f2a51b1add75b000a1789c51e51=
ace5.gif" alt=3D"" />
</td>
<td width=3D"10"></td>
<td valign=3D"top">
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%;">
<strong style=3D"font-size:13px;font-weight:bold;font-family:Arial,Verdana,=
Helvetica,sans-serif;color:rgb(98,98,98)">My Account</strong><br />
<br />
<a href=3D"https://secure.takealot.com/account/login" style=3D"font-family:=
Arial,Verdana,Helvetica,sans-serif;color:#15C">Login</a><br />
<a href=3D"https://secure.takealot.com/account/order_history" style=3D"font=
-family:Arial,Verdana,Helvetica,sans-serif;color:#15C">Order History</a>
</p>
</td>
<td width=3D"10" style=3D"border-right:1px solid #ddd"></td>
<td width=3D"10"></td>
<td width=3D"35" valign=3D"top">
<img src=3D"http://ads.takealot.com/www/images/8af09db50e1f55fd1293db94902f=
8bd3.gif" alt=3D"" />
</td>
<td width=3D"10"></td>
<td valign=3D"top">
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%;">
<strong style=3D"font-size:13px;font-weight:bold;font-family:Arial,Verdana,=
Helvetica,sans-serif;color:rgb(98,98,98)">Useful Links</strong><br />
<br />
<a href=3D"http://www.takealot.com/help/faq" style=3D"font-family:Arial,Ver=
dana,Helvetica,sans-serif;color:#15C">FAQs</a><br />
<a href=3D"http://www.takealot.com/about" style=3D"font-family:Arial,Verdan=
a,Helvetica,sans-serif;color:#15C">About Us</a>
</p>
</td>
<td width=3D"10" style=3D"border-right:1px solid #ddd"></td>
<td width=3D"10"></td>
<td valign=3D"top" align=3D"center">
<p style=3D"font-size:13px;font-family:Arial,Verdana,Helvetica,sans-serif;c=
olor:rgb(35,35,35);line-height: 150%;">
<strong style=3D"font-size:13px;font-weight:bold;font-family:Arial,Verdana,=
Helvetica,sans-serif;color:rgb(98,98,98)">Follow Us</strong><br />
<br />
<a href=3D"https://www.facebook.com/Takealot"><img src=3D"http://ads.takeal=
ot.com/www/images/46cbad7562a6dc0a47a31655d65fdb76.jpg" border=3D"0" /></a>=
&nbsp;
<a href=3D"http://twitter.com/TAKEALOT"><img src=3D"http://ads.takealot.com=
/www/images/fe2ed20f5db581f4cc7e7c01f470c872.jpg" border=3D"0"></a>&nbsp;
<a href=3D"http://plus.google.com/+TAKEALOT/posts"><img src=3D"http://ads.t=
akealot.com/www/images/0822a8945ca1b7303e2881c0dbb13b1e.jpg" border=3D"0"><=
/a>
</p>
</td>
<td width=3D"5"></td>
</tr>
</table>
</td>
</tr>
<tr>
<td>
<div style=3D"font-size:9px; text-decoration: none; color:#666666; text-ali=
gn: center;">
<br />
<br />
To <b>unsubscribe</b> please <a href=3D"https://secure.takealot.com/account=
/ratings?unsubscribe=3D1">
<b>click here</b></a> and login when prompted.<br />
</div>
</td>
</tr>
</table>

</div>
bogusmail (9,241 bytes)   
francis

francis

2016-02-04 11:40

administrator   ~0009444

https://github.com/inverse-inc/sogo/commit/d4e01a83a07b2a365278c78f0d841cfe40ff1c64

Related Changesets

sogo: master d4e01a83

2016-02-04 11:36:26

francis

Details Diff
Handle broken messages with no date

Fixes 0003498
Affected Issues
0003498
mod - UI/MailerUI/UIxMailView.m Diff File

Issue History

Date Modified Username Field Change
2016-02-04 10:50 slainsavage New Issue
2016-02-04 10:50 slainsavage File Added: bogusmail
2016-02-04 11:40 francis Note Added: 0009444
2016-02-04 11:40 francis Status new => resolved
2016-02-04 11:40 francis Fixed in Version => 3.0.1
2016-02-04 11:40 francis Resolution open => fixed
2016-02-04 11:40 francis Assigned To => francis
2016-02-04 11:48 francis Changeset attached => sogo master d4e01a83